# A description of what this class does
#
# @summary A short summary of the purpose of this class
#
# @example
#   include openldap::server
class openldap::server (
  String                $owner,
  String                $group,
  String                $server_package,
  Enum['olc', 'augeas'] $provider,
)
{
  class { 'openldap::server::install': }

  case $provider {
    'augeas': {
      Class['openldap::server::install']
      -> Class['openldap::server']
    }
    'olc': {
    }
    default: {
      fail 'Invalid config provider'
    }
  }
}
